CLD-279 Details

Other IDs this deficiency may be known by:

CVE ID CVE-2018-1000030 (nvd) (mitre) (debian) (archlinux) (red hat) (suse) (ubuntu)
Other ID(s)

Basic Information:

Affected Package(s) python2
Deficiency Type SECURITY
Date Created 2018-02-08 15:21:59
Date Last Modified 2018-02-16 19:27:08

Version Specific Information:

Cucumber 1.0 i686 fixed in python2-2.7.14-i686-3
Cucumber 1.0 x86_64 fixed in python2-2.7.14-x86_64-3 and python2-lib_i686-2.7.14-lib_i686-3

Cucumber 1.1 i686 fixed in python2-2.7.14-i686-3
Cucumber 1.1 x86_64 fixed in python2-2.7.14-x86_64-3 and python2-lib_i686-2.7.14-lib_i686-3

Details:

For more information see:
https://bugs.python.org/issue31530
https://drive.google.com/file/d/1oyR9DAZjZK_SCn3mor6NRAYLJS6ueXaY/view

Our patch is available at:
http://mirror.cucumberlinux.com/cucumber/cucumber-1.1/source/lang-base/python2/patches/00010_CVE-2018-1000030_consolidated.patch